input: ./ # The local path from this retype.yml file to your content files.
          # See also: output

# -----------------------------------------------------------------------------

output: .retype # Custom path to the output directory.
                # See also: input

# -----------------------------------------------------------------------------

url: example.com               # The base URL of your website.
url: docs.example.com          # Can also be a sub-domain.
url: example.com/docs          # Can also include a sub-folder path.
url: https://example.com/docs/ # Can also include a protocol.

# -----------------------------------------------------------------------------

poweredByRetype: true # Set to false to remove the Powered by Retype branding.
                      # A Retype Pro license is required.
                      # See: https://retype.com/pro

# -----------------------------------------------------------------------------

branding:
  title: Example                 # Your custom website title; keep it short.
  logo: static/logo.png          # Path to a logo file.
  logoDark: static/logo-dark.png # Path to a logo file to use in dark mode.
  logoAlign: right               # Align the logo to the right or the left.
  label: Docs # Optional label. To remove the label, remove this config.
  colors:
    label:                  # Label colors
      text: "#ffffff"       # Custom color for the label text.
      background: "#ff0000" # Custom color for the label background.

# -----------------------------------------------------------------------------

links: # A list of custom links to add to the top bar of the generated website.
       # See also: footer.links
  - text: Home      # The text to use for the link
    link: https://example.com/ # Link to an internal file or external URL.
  - text: API
    link: /api.md   # Link to an internal file or external URL.
    icon: gear      # A custom icon name, :emoji:, <svg>, or path to a file.
    iconAlign: left # Icon alignment, to the left or right. Default is left.
    target: blank   # Custom target. Use blank to open link in a new window.

# -----------------------------------------------------------------------------

footer:
  copyright: "© All rights reserved." # A custom copyright statement.
  links:               # A list of links to include in the footer.
                       # See also: links
    - text: License    # The text to use for the link
      link: license.md # Point to an internal file or external URL.

# -----------------------------------------------------------------------------

cache:
  busting: query # Cache busting strategy.
                 # Options include: none | path | query (default)

# -----------------------------------------------------------------------------

cname: example.com # The CNAME file value, or false to not create a CNAME file.

# -----------------------------------------------------------------------------

edit:
  repo: ""   # The URL where the source files for this project are located.
  base: ""   # Optional base path to a directory within the above repo.
  branch: "" # Point to a custom branch within the repo.
  label: "Edit this page" # A custom label for the generated link.

# -----------------------------------------------------------------------------

editor:         # Configure the page live editor functionality that is only
                # available when `retype watch` is running.
  enabled: true # Set to false to disable and hide the live editor.

# -----------------------------------------------------------------------------

exclude: # A list of files or folders to exclude from the build process.
         # See also: include
  - "*_temp/"      # Wildcards are valid.
  - "/src/temp.md" # Exclude a specific file.

# -----------------------------------------------------------------------------

favicon: static/favicon.png # Path to a custom favicon, or.
                            # just put a favicon.ico in your project root.

# -----------------------------------------------------------------------------

generator:
  recase: all # Set to `none` to not recase any file or folder names.
              # By default, all generated file and folder names are
              # generated in all lowercase.

# -----------------------------------------------------------------------------

include:   # A list of files or folders to include in the build process.
           # See also: exclude
  - "*.py" # Wildcards are valid.

# -----------------------------------------------------------------------------

integrations:
  googleAnalytics:
    id: ""        # Your Google Analytics measurement id.
  googleTagManager:
    id: ""        # Your Google Tag Manager measurement id.
  gravatar:
    default: mp   # What Gravatar profile image to use.
                  # Options include:
                  # 404     | mp (default) | identicon | monsterid
                  # wavatar | retro        | robohash  | blank
    enabled: true # Whether Retype should use Gravatar to pull profile images.
  plausible:      # Plausible.io integration.
    domain: domain1.com,domain2.com # Your plausible Domain(s).
    host: plausible.example.com     # Custom Plausible host name

# -----------------------------------------------------------------------------

markdown:          # Markdown configuration options.
  lineBreaks: soft # Switches between `soft` and `hard` line break modes.

# -----------------------------------------------------------------------------

meta:
  title: " | Widgets" # Appended to the <title> element on all pages.

# -----------------------------------------------------------------------------

search:          # Custom configuration of the website search component.
  hotkeys:
    - "/"        # Keyboard key to set the cursor focus into the search field.
  maxResults: 20 # Max number of search results to render.
  minChars: 2    # Min number of characters required to trigger a sear.ch
  mode: full     # The search index creation mode.
                 # Options include: full | partial | basic
  noResultsFoundMsg: "No results" # Message when no results are found.
  placeholder: Search # Placeholder text used in the search input field.

# -----------------------------------------------------------------------------

serve:
  host: 127.0.0.1       # Serve the website from this host location.
  host: 127.0.0.1:5005  # Custom port also supported.
  port: 5005            # A custom port configurated separately from host.
  watch:
    mode: memory        # Where to host files from during retype watch.
                        # Options include: memory (default) | disk
    polling: true       # How Retype will listen for file changes.
                        # Options include: false (default) | true | number
    validation: optimal # How thorough Retype is looking for changed files.
                        # Options include: fast | full | optimal (default)

# -----------------------------------------------------------------------------

start:
  open: false  # Do not automatically open a web browser on start

# -----------------------------------------------------------------------------

snippets:      # Custom code snippets configuration.
               # See: https://retype.com/components/code-snippet
  lineNumbers: # A list of language strings to enable line numbering on.
    - js
    - none     # Use `none` to disable line-numbering on snippets.

# -----------------------------------------------------------------------------

templating:
  enabled: true # Enable or disable the Retype content templating engine.
  liquid: false # Is Liquid syntax {% ... %} enabled?
                # If true, Retype is incompatible with
                # GitBook style of component configuration.
